<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Context\Api;

use Dedi\SyliusStockHistoryPlugin\Context\InventoryLogContextInterface;
use Dedi\SyliusStockHistoryPlugin\Enum\InventoryLogEntryType;

class PaymentCompleteContext implements InventoryLogContextInterface
{
    public static function getType(): string
    {
        return InventoryLogEntryType::API_PAYMENT_COMPLETE->value;
    }

    public function getRoutes(): array
    {
        return [
            'api_payments_admin_complete_item',
        ];
    }
}
