<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Repository;

use DateTimeInterface;
use Sylius\Component\Resource\Repository\RepositoryInterface;

interface InventoryLogEntryRepositoryInterface extends RepositoryInterface
{
    public function findOlderThan(DateTimeInterface $date, ?int $limit = null): array;
}
