<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Resolver\Order;

use Sylius\Component\Core\Model\OrderInterface;

interface InventoryLogOrderResolverInterface
{
    public function resolve(string $type): ?OrderInterface;

    public function supports(string $type): bool;
}
